Using this API, you can fetch all the shipment updates received for a day in Clickpost.
The start time and end time are in UTC.
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Overview
With help of this API, Enterprise can raise a request to get status updates for all the shipments present in Clickpost dashboard. Enterprise will get a unique report reference number, post which the Enterprise needs to hit the GET API and enter the report_reference_number to get the s3_link of the requested report.
Usecase
This API can be used to get the data for all the shipments that received their latest tracking scan in the specified time range. This is a standard API which applies to all MPS (Multi-Piece Shipment) and SPS (Single Piece Shipment) orders.
Geography
This is a standard API which supports all shipments created and transported within
- India
- North America
- Europe
- Middle East
- South East Asia
Important Links
NOTEThe difference between Start Time and End Time cannot be more that 24 hours. The API will only return shipments whose latest tracking scan falls within the specified time range.
URL Parameters
Query Parameters to be passed directly in the URL.
| Field Name | Data Type | Field | Description | Max Length | Example |
|---|---|---|---|---|---|
key | String | Mandatory | Unique license key | 100 | Provided by Clickpost team |
Request Payload
| Field Name | Data Type | Field | Description | Max Length | Example |
|---|---|---|---|---|---|
filters > updated_at_start_time | string | Mandatory | Start Date Eg: "2021-08-01 00:00:00" | "2022-11-01 00:00:00" | |
filters > updated_at_end_time | string | Mandatory | End Date Eg: "2021-08-01 23:59:00" NOTE: The difference between Start Time and End Time cannot be more that 24 hours. | "2022-11-01 23:59:00" | |
report_name | string | Mandatory | TRACK_ORDER_DASHBOARD_REPORT or RETURN_TRACK_ORDER_DASHBOARD_REPORT | "TRACK_ORDER_DASHBOARD_REPORT" | |
fields | String | Mandatory | Add Field Ids in the list to get only data of specific fields. Eg: ["1", "21". "42"] Possible values of Field Ids listed here :
| "fields": ["1", "21". "42"] |
Response
meta [meta parameters]
| Field Name | Data Type | Description | Example |
|---|---|---|---|
success | Boolean | Indicates the success of the API request | true |
message | String | The message from clickpost. In case of success it will be "SUCCESS". In case that there are no courier partners that are servicing the pincodes it will be”Pin code not serviceable" | "SUCCESS" |
status | HTTP Code | The HTTP response status code of the API request | 200 |
result [result parameters]
| Field Name | Data Type | Description | Example |
|---|---|---|---|
report_name | String | The Name of the requested report | TRACKORDER DASHBOARD_REPORT |
report_reference_number | String | The reference number for the report. This will be used in the GET API to download the report | 1324902 |
report_created_at | String | The date and time when the report was requested. The date and time is in UTC | "2022-11-04 07:09" |
